## SYNOPSIS

           ldapwhoami [-n] [-v] [-z] [-d debuglevel] [-D binddn] [-W]
           [-w passwd]  [-y passwdfile]  [-H ldapuri]   [-h ldaphost]
           [-p ldapport] [-O security-properties] [-I] [-Q] [-U auth
           cid] [-R realm] [-x] [-X authzid] [-Y mech] [-Z[Z]]

## DESCRIPTION

           ldapwhoami implements the LDAP "Who Am I?" extended opera
           tion.

           ldapwhoami  opens  a  connection to an LDAP server, binds,
           and performs a whoami operation.

## OPTIONS

           -n     Show what would be done, but don't actually perform
                  the whoami operation.  Useful for debugging in con
                  junction with -v.

           -v     Run in verbose mode, with many diagnostics  written
                  to standard output.

           -d debuglevel
                  Set  the LDAP debugging level to debuglevel.  ldap
                  compare must be compiled  with  LDAP_DEBUG  defined
                  for this option to have any effect.

           -x     Use simple authentication instead of SASL.

           -D binddn
                  Use  the  Distinguished  Name binddn to bind to the
                  LDAP directory.

           -W     Prompt for simple  authentication.   This  is  used
                  instead  of  specifying the password on the command
                  line.

           -w passwd
                  Use passwd as the password for  simple  authentica
                  tion.

           -y passwdfile
                  Use complete contents of passwdfile as the password
                  for simple authentication.

           -H ldapuri
                  Specify URI(s) referring to the ldap server(s).

           -h ldaphost
                  Specify an alternate host on which the ldap  server
                  is running.  Deprecated in favor of -H.

           -p ldapport
                  Specify  the  authentication  ID for SASL bind. The
                  form of the ID depends on the actual SASL mechanism
                  used.

           -R realm
                  Specify  the  realm  of  authentication ID for SASL
                  bind. The form of the realm depends on  the  actual
                  SASL mechanism used.

           -X authzid
                  Specify  the  requested  authorization  ID for SASL
                  bind.  authzid must be one of  the  following  for
                  mats: dn:<distinguished name> or u:<username>

           -Y mech
                  Specify the SASL mechanism to be used for authenti
                  cation. If it's not  specified,  the  program  will
                  choose the best mechanism the server knows.

           -Z[Z]  Issue  StartTLS (Transport Layer Security) extended
                  operation. If you use -ZZ, the command will require
                  the operation to be successful.

## EXAMPLE

               ldapwhoami -x -D "cn=Manager,dc=example,dc=com" -W

## SEE ALSO

           ldap.conf(5), ldap(3), ldap_extended_s(3)

## AUTHOR

           The OpenLDAP Project <http://www.openldap.org/>

## ACKNOWLEDGEMENTS

           OpenLDAP  is developed and maintained by The OpenLDAP Pro
           ject (http://www.openldap.org/).  OpenLDAP is derived from
           University of Michigan LDAP 3.3 Release.

    OpenLDAP 2.1.12                                     LDAPWHOAMI(1)